// Imports
@use "variables" as var;

// Actual Styling
.filter-container {
  display: flex;
  cursor: pointer;
  margin: 0 6px;

  .filter-text-active {
    color: var(--background-default-grey);
  }

  .filter-text-not-active {
    color: var(--text-disabled-grey);
  }

  .filter-text-side {
    padding-right: 2px;

    .filter-text-container {
      padding: 4px 12px 4px 8px;
      border-top-left-radius: 16px;
      border-bottom-left-radius: 16px;
      display: flex;

      &.filter-text-container-active {
        background-color: var(--filter-color);
      }

      &.filter-text-container-not-active {
        background-color: var(--background-default-grey);
      }

      .filter-text {
        font-size: 14px;
        font-weight: 700;
        margin-left: 4px;
        width: max-content;
      }
    }
  }

  .filter-arrow-side {
    display: none;

    @media (min-width: var.$breakpoint-desktop) {
      display: block;
      padding-left: 2px;
    }
  }

  .mobile-filter-arrow-side {
    display: block;
    padding-left: 2px;

    @media (min-width: var.$breakpoint-desktop) {
      display: none;
    }
  }

  [class^="fr-icon-"]:before {
    --icon-size: 16px;
  }
}
